﻿using System;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace MANSoftDev.SharePoint.SPCopyPage
{
    public partial class SPCopy : LayoutsPageBase
    {
        MANSoftDev.SharePoint.SPCopyPage.SPWeb web = new SPWeb();

        protected void Page_Load(object sender, EventArgs e)
        {
            if(!IsPostBack)
            {
                Source.Text = SPContext.Current.Web.Url;
            }
        }

        protected void OnMove(object sender, EventArgs e)
        {
            if(Destination.Text.Length != 0)
            {
                web.SourceURL = SPContext.Current.Web.Url;
                web.DestinationURL = Destination.Text;
                web.Move();
                Response.Redirect(Destination.Text); 
            }            
        }

        protected void OnCopy(object sender, EventArgs e)
        {
            if(Destination.Text.Length != 0)
            {
                web.SourceURL = SPContext.Current.Web.Url;
                web.DestinationURL = Destination.Text;
                web.Copy();
                Response.Redirect(Destination.Text); 
            }
        }

        protected void OnCancel(object sender, EventArgs e)
        {
            Response.Redirect(SPContext.Current.Web.Url);
  
        }
    }
}
